DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GaussianNoise

Generate an image disturbed by Gaussian noise

## SYNOPSIS

`#include "dip_noise.h"`

dip_Error dip_GaussianNoise ( in, out, variance, random )

## DATA TYPES

integer, float

## FUNCTION

Generate an image disturbed by additive Gaussian noise. See `GaussianRandomVariable` for more information on the random number generator.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_float` | `variance` | Variance of the Gaussian distribution the noise is drawn from
`dip_Random *` | `random` | Pointer to a random value structure

## EXAMPLE

Get a image with additive Gaussian noise as follows:

       dip_Image in, out;
       dip_float variance;
       dip_Random random;

       variance = 1.0;
       DIPXJ( dip_RandomSeed( &random, 0 ));
       DIPXJ( dip_GaussianNoise( in, out, variance, &random ));

## SEE ALSO

`GaussianRandomVariable`, `RandomVariable`, `RandomSeed`, `RandomSeedVector`, `UniformNoise`, `PoissonNoise`, `BinaryNoise`